### Constructor

# Gtk Label new

#### Declaration [src]

    GtkWidget*
    gtk_label_new (
      const char* str
    )

#### Description [src]

Creates a new label with the given text inside it.

You can pass `NULL` to get an empty label widget.

#### Parameters

`str`

  Type: `const char*`

  The text of the label.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The new label.

The data is owned by the called function.